Watchlist Movies
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{account_id}/watchlist/movies?%7B%7Bkey%7D%7D='import requests
url = "https://api.themoviedb.org/3/account/{account_id}/watchlist/movies?%7B%7Bkey%7D%7D="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/account/{account_id}/watchlist/movies?%7B%7Bkey%7D%7D=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/zqkmTXzjkAgXmEWLRsY4UpTWCeo.jpg",
"genre_ids": [
12,
28,
878
],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 80.681,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.204,
"vote_count": 20638
}
],
"total_pages": 1,
"total_results": 1
}Account
Watchlist Movies
This endpoint is used to get a list of movies added to a users watchlist
GET
/
3
/
account
/
{account_id}
/
watchlist
/
movies
Watchlist Movies
Authorizations
Path Parameters
Query Parameters
int
Example:
null
string
Example:
"en-US"
string
Example:
"created_at.asc"
string
Response
200 - application/json
OK
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/zqkmTXzjkAgXmEWLRsY4UpTWCeo.jpg",
"genre_ids": [12, 28, 878],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 80.681,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.204,
"vote_count": 20638
}
]
Example:
1
Example:
1
Was this page helpful?
⌘I